Subject: Re: bug#25118: All ruby packages replaced by version 2.3.3

From: Ben Woodcroft <[email-masked]>
Date: Tue, 6 Dec 2016 08:45:10 +1000

On 06/12/16 07:42, Leo Famulari wrote:
> On Mon, Dec 05, 2016 at 01:18:04PM +0000, Christopher Baines wrote:
>> On master (8f35c0306192c4b62646f2aa02879c2a8c4f4a07), as ruby 2.3.1 is
>> replaced by 2.3.3, and all ruby packages inherit from ruby 2.3.1, all
>> versions of ruby end up being 2.3.3.
>>
>> For example:
>> → guix environment --container --ad-hoc --pure -e "(begin (use-modules
>> (gnu packages ruby)) ruby-2.1)" -- ruby --version
>>
>> ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-linux]
>>
>> Removing the replacement line, or adding (replacement #f) to the other
>> packages fixes this.
> Thanks for the report!
>
> This should be fixed in 6e02766d433c8d5f56af628fbcaf5f2ca6e63953 (gnu:
> ruby-2.2, ruby-2.1, ruby-1.8: Don't replace with ruby-2.3.3.).
Yes, thanks both of you, and apologies for my mistake. In future we 
should probably not inherit from the newest Ruby, but instead from the 
older ones so this is less likely to happen again.

ben